Skip Menu |
 

This queue is for tickets about the Module-Install CPAN distribution.

Report information
The Basics
Id: 18544
Status: open
Priority: 0/
Queue: Module-Install

People
Owner: Nobody in particular
Requestors: stennie [...] cpan.org
Cc:
AdminCc:

Bug Information
Severity: Wishlist
Broken in: (no value)
Fixed in: (no value)



Subject: Notify list for Module::Install updates
Download (untitled) / with headers
text/plain 699b
Hi Adam, Given that Module::Install requires CPAN authors to update their dists on critical bugs... it would be most helpful to be able to opt into a notify list for updates. In particular, critical updates like the ActivePerl 5.8.8 breakage fixed in 0.61 could be communicated before users start running into widespread grief: http://rt.cpan.org/Public/Bug/Display.html?id=18181 Had a related thought that it might be interesting to have a script grub through the CPAN packages and survey which build packages they are using. In the case of Module::Install, you could then proactively notify the cpan maintainer (or post on a web page) if dire problems are expected ;-). Cheers, Stephen
Subject: Re: [rt.cpan.org #18544] Notify list for Module::Install updates
Date: Wed, 05 Apr 2006 18:37:12 +1000
To: bug-Module-Install [...] rt.cpan.org
From: Adam Kennedy <adam [...] phase-n.com>
Download (untitled) / with headers
text/plain 1.9k
Guest via RT wrote: Show quoted text
> Tue Apr 04 21:58:01 2006: Request 18544 was acted upon. > Transaction: Ticket created by guest > Queue: Module-Install > Subject: Notify list for Module::Install updates > Owner: Nobody > Requestors: stennie@cpan.org > Status: new > Ticket <URL: http://rt.cpan.org/Ticket/Display.html?id=18544 > > > > Hi Adam, > > Given that Module::Install requires CPAN authors to update their dists on critical bugs... it > would be most helpful to be able to opt into a notify list for updates.
This sounds like it would be useful. Are you offering to host this? :) Show quoted text
> In particular, critical updates like the ActivePerl 5.8.8 breakage fixed in 0.61 could be > communicated before users start running into widespread grief: > http://rt.cpan.org/Public/Bug/Display.html?id=18181 > > Had a related thought that it might be interesting to have a script grub through the CPAN > packages and survey which build packages they are using. In the case of Module::Install, you > could then proactively notify the cpan maintainer (or post on a web page) if dire problems > are expected ;-).
I've had the same thoughts. And I have move of the lego blocks to do it, just not the tuits. If you were interested in finishing this off, here's how it works. 1. Install CPAN::Mini::Extract (or is it Expand, I forget) 2. Set up a script that uses it, extracting ONLY Makefile.PL and inc/Module/Install.pm (if it exists) 3. Use a small PPI detector to verify that Makefile.PL uses inc::Module::Install 4. Use the MakeMaker function to detect the version of Module::Install, in the form of version objects. 5. Wrap it in a script that runs the above, and takes a version limit, reporting all distributions that are below that version. Like I said, I don't have the time to write this right now, but had planned to once we had a Module::Install version that we could specifically say "you should all upgrade now". Adam K
From: stennie [...] cpan.org
Download (untitled) / with headers
text/plain 404b
Show quoted text
> This sounds like it would be useful.
Okie .. I'll organise a mailing list then ;). Show quoted text
> Had a related thought that it might be interesting to have a script > grub through the CPAN packages and survey which build packages > they are using.
In order to answer my own question for a 5.8.8 release of CamelPack, here's a survey of current M:I usage: http://stennie.org/module-install.txt Cheers, Stephen


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.